For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Todos
      • POSTCreate Todo
      • PUTUpdate Todo
      • DELDelete Todo
LogoLogo
SupportContact salesStart free trial
API ReferenceTask Todo

Get Todos

GET
https://api.projectmanager.com/api/data/tasks/:taskId/todos
GET
/api/data/tasks/:taskId/todos
$curl https://api.projectmanager.com/api/data/tasks/taskId/todos \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "text": "string",
17 "complete": true,
18 "createDate": "2024-01-15T09:30:00Z",
19 "modifyDate": "2024-01-15T09:30:00Z"
20 }
21 ]
22}
Retrieve a list of todos for a task
Was this page helpful?
Previous

Create Todo

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
the id of the task

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.